weka.gui.knowledgeflow

## Class InvisibleTreeModel

- java.lang.Object
- - javax.swing.tree.DefaultTreeModel
  - - weka.gui.knowledgeflow.InvisibleTreeModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.tree.TreeModel

      public class InvisibleTreeModel
      extends javax.swing.tree.DefaultTreeModel

  Subclass of `DefaultTreeModel` that contains `InvisibleNode`s.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvisibleTreeModel(javax.swing.tree.TreeNode root)` Constructor
    `InvisibleTreeModel(javax.swing.tree.TreeNode root, boolean asksAllowsChildren)` Constuctor
    `InvisibleTreeModel(javax.swing.tree.TreeNode root, boolean asksAllowsChildren, boolean filterIsActive)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateFilter(boolean newValue)` Activate/deactivate the visibility filter
    `java.lang.Object` | `getChild(java.lang.Object parent, int index)`
    `int` | `getChildCount(java.lang.Object parent)`
    `boolean` | `isActivatedFilter()` Return true if the visibility filter is active

    - ### Methods inherited from class javax.swing.tree.DefaultTreeModel

      `addTreeModelListener, asksAllowsChildren, getIndexOfChild, getListeners, getPathToRoot, getRoot, getTreeModelListeners, insertNodeInto, isLeaf, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvisibleTreeModel

          public InvisibleTreeModel(javax.swing.tree.TreeNode root)

      Constructor
      Parameters:
        `root` - the root of the tree

    - #### InvisibleTreeModel

          public InvisibleTreeModel(javax.swing.tree.TreeNode root,
                                    boolean asksAllowsChildren)

      Constuctor
      Parameters:
        `root` - the root of the tree
        `asksAllowsChildren` - asksAllowsChildren - a boolean, false if any node can have children, true if each node is asked to see if it can have children

    - #### InvisibleTreeModel

          public InvisibleTreeModel(javax.swing.tree.TreeNode root,
                                    boolean asksAllowsChildren,
                                    boolean filterIsActive)

      Constructor
      Parameters:
        `root` - the root of the tree
        `asksAllowsChildren` - asksAllowsChildren - a boolean, false if any node can have children, true if each node is asked to see if it can have children
        `filterIsActive` - true if the visibility filter is active

  - ### Method Detail

    - #### activateFilter

          public void activateFilter(boolean newValue)

      Activate/deactivate the visibility filter
      Parameters:
        `newValue` - true if the visibility filter should be active

    - #### isActivatedFilter

          public boolean isActivatedFilter()

      Return true if the visibility filter is active
      Returns:
        true if the visibility filter is active

    - #### getChild

          public java.lang.Object getChild(java.lang.Object parent,
                                           int index)

      Specified by:
        `getChild` in interface `javax.swing.tree.TreeModel`
      Overrides:
        `getChild` in class `javax.swing.tree.DefaultTreeModel`

    - #### getChildCount

          public int getChildCount(java.lang.Object parent)

      Specified by:
        `getChildCount` in interface `javax.swing.tree.TreeModel`
      Overrides:
        `getChildCount` in class `javax.swing.tree.DefaultTreeModel`